{
    "run_id": "20250416_142744",
    "db_dir": "../downloaded_data",
    "ticker": "BTC-USD",
    "exchange": "COINBASE",
    "start_date": "2025-03-01",
    "end_date": "2025-03-10",
    "interval": "1min",
    "model_save_path": "v7/models/crypto_trading_system_v7_20250416_142744",
    "results_plot_path": "v7/results/20250416_142744/backtest_results_v7_20250416_142744.png",
    "report_save_path": "v7/results/20250416_142744/backtest_performance_report_v7_20250416_142744.md",
    "train_ratio": 0.6,
    "validation_ratio": 0.2,
    "gru_lookback": 60,
    "gru_prediction_horizon": 1,
    "gru_epochs": 20,
    "gru_batch_size": 32,
    "gru_patience": 10,
    "sac_state_dim": 2,
    "sac_initial_lr": 0.0003,
    "sac_end_lr": 5e-06,
    "sac_decay_steps": 100000,
    "sac_lr_decay_rate": 0.96,
    "sac_gamma": 0.99,
    "sac_tau": 0.005,
    "sac_alpha_initial": 0.2,
    "sac_alpha_auto_tune": true,
    "sac_target_entropy": -1.0,
    "sac_ou_noise_stddev": 0.2,
    "sac_ou_noise_theta": 0.15,
    "sac_ou_noise_dt": 0.01,
    "sac_buffer_capacity": 100000,
    "sac_batch_size": 256,
    "sac_min_buffer_size": 1000,
    "sac_epochs": 50,
    "initial_capital": 10000.0,
    "transaction_cost": 0.0005,
    "load_existing_system": false,
    "train_gru_model": true,
    "train_sac_agent": true,
    "load_sac_agent": false,
    "run_backtest": true,
    "generate_plots": true,
    "generate_report": true
}